%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:           bean-validation-api
Summary:        Bean Validation API (JSR 349)
Version:        2.0.1
Release:        %mkrel 2
Group:          Development/Java
License:        ASL 2.0

URL:            http://beanvalidation.org/
Source0:        https://github.com/beanvalidation/beanvalidation-api/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.testng:testng)

%description
This package contains Bean Validation (JSR-349) API.


%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n beanvalidation-api-%{namedversion}

%pom_remove_plugin :license-maven-plugin
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

#(daviddavid) disable test who fails always on our autobuild
find . -name "ValidationTest.java" -delete

%mvn_file : %{name}


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc README.md
%license license.txt copyright.txt

%files javadoc -f .mfiles-javadoc
%doc README.md
%license license.txt copyright.txt



%changelog
* Sat Feb 15 2020 umeabot <umeabot> 2.0.1-2.mga8
+ Revision: 1528632
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 2.0.1-1.mga8
+ Revision: 1431641
- Update to version 2.0.1

* Tue Sep 18 2018 umeabot <umeabot> 1.1.0-9.mga7
+ Revision: 1261209
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1.0-8.mga7
+ Revision: 1260022
- Mageia 7 Mass Rebuild

* Thu May 12 2016 daviddavid <daviddavid> 1.1.0-7.mga6
+ Revision: 1014057
- disable test who fails always on our autobuild

* Wed Mar 02 2016 neoclust <neoclust> 1.1.0-6.mga6
+ Revision: 981799
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.1.0-5.mga6
+ Revision: 975692
- First rebuild of the java stack
- sync package bean-validation-api with fedora
- imported package bean-validation-api

* Sun Jan 18 2015 dmorgan <dmorgan> 1.1.0-5.mga5
+ Revision: 811348
- Disable tests

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 742441
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1.1.0-1.mga4
+ Revision: 489183
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 346886
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 1.0.0-2.mga3
+ Revision: 292050
- Fix spec file layout

* Fri Oct 21 2011 gil <gil> 1.0.0-1.mga2
+ Revision: 157063
- imported package bean-validation-api


* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.1.0-2
- Use Requires: java-headless rebuild (#1067528)

* Wed Jul 24 2013 gil cattaneo <puntogil@libero.it> 1.1.0-1
- update to 1.1.0.Final
- adapt to current guideline
- resolve rpmlint warning

* Thu Feb 14 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-8
- Fixed build issue

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.0-6
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 09 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-4
- Relocated jars to _javadir

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 29 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-2
- Added license file to distribution

* Tue Aug 16 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

